Bug 1575076 - Template import from git, always adds newline
Summary: Template import from git, always adds newline
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 6.4.0
Assignee: Marek Hulan
QA Contact: Silvie Chlupova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 17:08 UTC by Onkar
Modified: 2019-11-05 23:18 UTC (History)
7 users (show)

Fixed In Version: foreman-1.18.0.24-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:03:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 24672 0 Normal Closed Template import from git, always adds newline 2020-06-02 08:19:17 UTC

Description Onkar 2018-05-04 17:08:47 UTC
Description of problem: Every time do an import of the templates, it adds a newline to certain scripts.


Version-Release number of selected component (if applicable):
Satellite 6.3.0


How reproducible:
Configure Template sync in the satellite. Then configure GitHub link.
Export templates. Made some changes in templates. Export templates in satellite.
Now every next import and export add in new line in template.




Steps to Reproduce:
1.
2.
3.

Actual results: New line getting added in templates.


Expected results: New lines should be added in templates.


Additional info:

Comment 5 Ondřej Pražák 2018-06-12 11:12:43 UTC
I could not reproduce with 6.4, it seems like this issue could be fixed as a part of previous changes targeted for 6.4. Could QE verify if this is still present on 6.4?

Comment 7 Marek Hulan 2018-08-21 14:52:02 UTC
This seems to happen only for specific template. The subject is misleading, this actually happens on export and only if template has "shebang", e.g. the bootdisk template.

it's a oneliner fix in foreman core. It would be reproducible via export/import API too

Comment 8 Marek Hulan 2018-08-21 14:53:16 UTC
Created redmine issue https://projects.theforeman.org/issues/24672 from this bug

Comment 9 pm-sat@redhat.com 2018-08-21 16:14:51 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 10 pm-sat@redhat.com 2018-08-21 16:14:54 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 14 Bryan Kearney 2018-10-16 19:03:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.